Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.model.action
Class ActionInvocation<S extends Service>

    java.lang.Object
      org.teleal.cling.model.action.ActionInvocation<S>

    public class ActionInvocation<S extends Service>

extends Object

Field Summary
`protected Action<S>` | `action`
`protected ActionException` | `failure`
`protected ActionInvocationValues` | `input`
`protected ActionInvocationValues` | `output`

Constructor Summary
`ActionInvocation(Action<S> action)`
`ActionInvocation(Action<S> action, ActionInvocationValues<S> input)`
`ActionInvocation(Action<S> action, ActionInvocationValues<S> input, ActionInvocationValues<S> output)`
`ActionInvocation(ActionException failure)`

Method Summary
`Action<S>` | `getAction()`
`ActionException` | `getFailure()`
`ActionInvocationValues<S>` | `getInput()`
`ActionInvocationValues<S>` | `getOutput()`
`void` | `setFailure(ActionException failure)`
`void` | `setInputOutput(ActionInvocationValues<S> input)`
`void` | `setOutput(ActionInvocationValues<S> output)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### action

    protected final Action<S extends Service> action

### input

    protected ActionInvocationValues input

### output

    protected ActionInvocationValues output

### failure

    protected ActionException failure

Constructor Detail

### ActionInvocation

    public ActionInvocation(Action<S> action)

### ActionInvocation

    public ActionInvocation(Action<S> action,
                            ActionInvocationValues<S> input)

### ActionInvocation

    public ActionInvocation(Action<S> action,
                            ActionInvocationValues<S> input,
                            ActionInvocationValues<S> output)

### ActionInvocation

    public ActionInvocation(ActionException failure)

Method Detail

### getAction

    public Action<S> getAction()

### getInput

    public ActionInvocationValues<S> getInput()

### setInputOutput

    public void setInputOutput(ActionInvocationValues<S> input)

### getOutput

    public ActionInvocationValues<S> getOutput()

### setOutput

    public void setOutput(ActionInvocationValues<S> output)

### getFailure

    public ActionException getFailure()

  Returns:
    Null if invocation was successful, otherwise failure details.

### setFailure

    public void setFailure(ActionException failure)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Teleal GmbH, Switzerland. All Rights Reserved.